Bug 972415 - SELinux is preventing /usr/bin/mplayer from 'create' accesses on the directory .mplayer.
SELinux is preventing /usr/bin/mplayer from 'create' accesses on the director...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:92a4d1ae5e8c76014b56e347338...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 05:23 EDT by sabugiense
Modified: 2013-07-24 20:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sabugiense 2013-06-09 05:23:09 EDT
Description of problem:
SELinux is preventing /usr/bin/mplayer from 'create' accesses on the directory .mplayer.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If você acredita que o mplayer deva ser permitido acesso de create em .mplayer directory  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep mplayer /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                .mplayer [ dir ]
Source                        mplayer
Source Path                   /usr/bin/mplayer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           mplayer-1.1-4.20121008svn.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   123
First Seen                    2013-06-09 05:49:36 FNT
Last Seen                     2013-06-09 06:20:27 FNT
Local ID                      a5888490-eb13-4207-b160-504013a9ee2e

Raw Audit Messages
type=AVC msg=audit(1370766027.400:455): avc:  denied  { create } for  pid=4561 comm="mplayer" name=".mplayer" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir


type=SYSCALL msg=audit(1370766027.400:455): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=2429880 a1=1ff a2=6e1536 a3=0 items=0 ppid=1 pid=4561 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=mplayer exe=/usr/bin/mplayer subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: mplayer,mozilla_plugin_t,user_home_dir_t,dir,create

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t user_home_dir_t:dir create;

audit2allow -R
require {
	type mozilla_plugin_t;
}

#============= mozilla_plugin_t ==============
userdom_create_user_home_dirs(mozilla_plugin_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport

Potential duplicate: bug 865320
Comment 1 Miroslav Grepl 2013-06-12 04:05:42 EDT
Please execute

# restorecon -R -v /home/

to fix the labeling. I added additional fixes.
Comment 2 Marc Bessière 2013-06-21 03:28:04 EDT
Description of problem:
Playing an mp3 from zimbra webmail client.

Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.5-201.fc18.x86_64
type:           libreport
Comment 3 Daniel Walsh 2013-06-21 09:07:42 EDT
We have this rule in F19.

sesearch -T -s mozilla_plugin_t  | grep mplayer
type_transition mozilla_plugin_t user_home_dir_t : dir mplayer_home_t ".mplayer"; 

Which should have allowed this.
Comment 4 Marc Bessière 2013-06-21 10:32:34 EDT
Cool. Thanks.

I will check for it.
Comment 5 Fedora Update System 2013-06-27 09:35:27 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 6 Fedora Update System 2013-06-28 02:09:29 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-24 20:39:21 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.